Changeset 2681


Ignore:
Timestamp:
Dec 2, 2012 10:46:03 AM (7 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Lapack/trunk/configure

    r2673 r2681  
    10871087                          icl/link). Default when mentioned: mingw. Default
    10881088                          when not mentioned: disabled.
     1089
    10891090  --disable-pkg-config    disable use of pkg-config (if available)
    10901091  --disable-interpackage-dependencies
     
    19401941
    19411942
     1943# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1944if test "${enable_static_standardlibs+set}" = set; then
     1945  enableval="$enable_static_standardlibs"
     1946  case "$enableval" in
     1947     no | yes | auto ) ;;
     1948     *)
     1949       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1950echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1951   { (exit 1); exit 1; }; } ;;
     1952   esac
     1953   use_static_standardlibs=$enableval
     1954else
     1955  use_static_standardlibs=no
     1956fi;
     1957
     1958
     1959
    19421960
    19431961
     
    30643082    CFLAGS="$OPT_CFLAGS"
    30653083  fi
     3084
    30663085else
    30673086  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32323251esac
    32333252
     3253# check whether to add flags for static linking against standard libraries to LDFLAGS
     3254if test x$use_static_standardlibs != xno ; then
     3255  case $build in
     3256    *-mingw*)
     3257      static_standardlib_flag=-static
     3258      ;;
     3259    *)
     3260      static_standardlib_flag=-static-libgcc
     3261      ;;
     3262  esac
     3263  case " $LDFLAGS " in
     3264    *" $static_standardlib_flag "* ) ;;
     3265    *)
     3266    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3267echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3268    coin_save_LDFLAGS="$LDFLAGS"
     3269    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3270    cat >conftest.$ac_ext <<_ACEOF
     3271/* confdefs.h.  */
     3272_ACEOF
     3273cat confdefs.h >>conftest.$ac_ext
     3274cat >>conftest.$ac_ext <<_ACEOF
     3275/* end confdefs.h.  */
     3276
     3277int
     3278main ()
     3279{
     3280int i=0;
     3281  ;
     3282  return 0;
     3283}
     3284_ACEOF
     3285rm -f conftest.$ac_objext conftest$ac_exeext
     3286if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3287  (eval $ac_link) 2>conftest.er1
     3288  ac_status=$?
     3289  grep -v '^ *+' conftest.er1 >conftest.err
     3290  rm -f conftest.er1
     3291  cat conftest.err >&5
     3292  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3293  (exit $ac_status); } &&
     3294         { ac_try='test -z "$ac_c_werror_flag"
     3295                         || test ! -s conftest.err'
     3296  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3297  (eval $ac_try) 2>&5
     3298  ac_status=$?
     3299  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3300  (exit $ac_status); }; } &&
     3301         { ac_try='test -s conftest$ac_exeext'
     3302  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3303  (eval $ac_try) 2>&5
     3304  ac_status=$?
     3305  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3306  (exit $ac_status); }; }; then
     3307  echo "$as_me:$LINENO: result: yes" >&5
     3308echo "${ECHO_T}yes" >&6
     3309else
     3310  echo "$as_me: failed program was:" >&5
     3311sed 's/^/| /' conftest.$ac_ext >&5
     3312
     3313echo "$as_me:$LINENO: result: no" >&5
     3314echo "${ECHO_T}no" >&6
     3315       LDFLAGS="$coin_save_LDFLAGS"
     3316       if test $use_static_standardlibs = yes ; then
     3317         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3318echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3319   { (exit 1); exit 1; }; }
     3320       fi
     3321
     3322fi
     3323rm -f conftest.err conftest.$ac_objext \
     3324      conftest$ac_exeext conftest.$ac_ext
     3325    ;;
     3326  esac
     3327fi
     3328
    32343329ac_ext=c
    32353330ac_cpp='$CPP $CPPFLAGS'
     
    32523347  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    32533348 esac
     3349
    32543350
    32553351
     
    34673563
    34683564# Provide some information about the compiler.
    3469 echo "$as_me:3469:" \
     3565echo "$as_me:3565:" \
    34703566     "checking for Fortran 77 compiler version" >&5
    34713567ac_compiler=`set X $ac_compile; echo $2`
     
    38343930    FFLAGS="$OPT_FFLAGS"
    38353931  fi
     3932
    38363933else
    38373934  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    39764073esac
    39774074
     4075# check whether to add flag for static linking against standard libraries to LDFLAGS
     4076if test x$use_static_standardlibs != xno ; then
     4077  case $build in
     4078    *-mingw*)
     4079      static_standardlib_flag=-static
     4080      ;;
     4081    *)
     4082      static_standardlib_flag=-static-libgfortran
     4083      ;;
     4084  esac
     4085  case " $LDFLAGS " in
     4086    *" $static_standardlib_flag "* ) ;;
     4087    *)
     4088    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4089echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4090    coin_save_LDFLAGS="$LDFLAGS"
     4091    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4092    cat >conftest.$ac_ext <<_ACEOF
     4093      program main
     4094      integer i
     4095      end
     4096_ACEOF
     4097rm -f conftest.$ac_objext conftest$ac_exeext
     4098if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4099  (eval $ac_link) 2>conftest.er1
     4100  ac_status=$?
     4101  grep -v '^ *+' conftest.er1 >conftest.err
     4102  rm -f conftest.er1
     4103  cat conftest.err >&5
     4104  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4105  (exit $ac_status); } &&
     4106         { ac_try='test -z "$ac_f77_werror_flag"
     4107                         || test ! -s conftest.err'
     4108  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4109  (eval $ac_try) 2>&5
     4110  ac_status=$?
     4111  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4112  (exit $ac_status); }; } &&
     4113         { ac_try='test -s conftest$ac_exeext'
     4114  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4115  (eval $ac_try) 2>&5
     4116  ac_status=$?
     4117  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4118  (exit $ac_status); }; }; then
     4119  echo "$as_me:$LINENO: result: yes" >&5
     4120echo "${ECHO_T}yes" >&6
     4121else
     4122  echo "$as_me: failed program was:" >&5
     4123sed 's/^/| /' conftest.$ac_ext >&5
     4124
     4125echo "$as_me:$LINENO: result: no" >&5
     4126echo "${ECHO_T}no" >&6
     4127       LDFLAGS="$coin_save_LDFLAGS"
     4128       if test $use_static_standardlibs = yes ; then
     4129         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4130echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4131   { (exit 1); exit 1; }; }
     4132       fi
     4133
     4134fi
     4135rm -f conftest.err conftest.$ac_objext \
     4136      conftest$ac_exeext conftest.$ac_ext
     4137    ;;
     4138  esac
     4139fi
     4140
    39784141ac_ext=c
    39794142ac_cpp='$CPP $CPPFLAGS'
     
    40384201ac_save_FFLAGS=$FFLAGS
    40394202FFLAGS="$FFLAGS $ac_verb"
    4040 (eval echo $as_me:4040: \"$ac_link\") >&5
     4203(eval echo $as_me:4203: \"$ac_link\") >&5
    40414204ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40424205echo "$ac_f77_v_output" >&5
     
    41164279ac_save_FFLAGS=$FFLAGS
    41174280FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4118 (eval echo $as_me:4118: \"$ac_link\") >&5
     4281(eval echo $as_me:4281: \"$ac_link\") >&5
    41194282ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41204283echo "$ac_f77_v_output" >&5
     
    50165179# unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
    50175180if test "x${prefix}" = xNONE ; then
    5018   COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    5019 else
    5020   COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     5181  COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib64/pkgconfig:${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     5182else
     5183  COIN_PKG_CONFIG_PATH="${prefix}/lib64/pkgconfig:${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    50215184fi
    50225185
     
    1011910282*-*-irix6*)
    1012010283  # Find out which ABI we are using.
    10121   echo '#line 10121 "configure"' > conftest.$ac_ext
     10284  echo '#line 10284 "configure"' > conftest.$ac_ext
    1012210285  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    1012310286  (eval $ac_compile) 2>&5
     
    1259612759   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1259712760   -e 's:$: $lt_compiler_flag:'`
    12598    (eval echo "\"\$as_me:12598: $lt_compile\"" >&5)
     12761   (eval echo "\"\$as_me:12761: $lt_compile\"" >&5)
    1259912762   (eval "$lt_compile" 2>conftest.err)
    1260012763   ac_status=$?
    1260112764   cat conftest.err >&5
    12602    echo "$as_me:12602: \$? = $ac_status" >&5
     12765   echo "$as_me:12765: \$? = $ac_status" >&5
    1260312766   if (exit $ac_status) && test -s "$ac_outfile"; then
    1260412767     # The compiler can only warn and ignore the option if not recognized
     
    1286413027   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1286513028   -e 's:$: $lt_compiler_flag:'`
    12866    (eval echo "\"\$as_me:12866: $lt_compile\"" >&5)
     13029   (eval echo "\"\$as_me:13029: $lt_compile\"" >&5)
    1286713030   (eval "$lt_compile" 2>conftest.err)
    1286813031   ac_status=$?
    1286913032   cat conftest.err >&5
    12870    echo "$as_me:12870: \$? = $ac_status" >&5
     13033   echo "$as_me:13033: \$? = $ac_status" >&5
    1287113034   if (exit $ac_status) && test -s "$ac_outfile"; then
    1287213035     # The compiler can only warn and ignore the option if not recognized
     
    1296813131   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1296913132   -e 's:$: $lt_compiler_flag:'`
    12970    (eval echo "\"\$as_me:12970: $lt_compile\"" >&5)
     13133   (eval echo "\"\$as_me:13133: $lt_compile\"" >&5)
    1297113134   (eval "$lt_compile" 2>out/conftest.err)
    1297213135   ac_status=$?
    1297313136   cat out/conftest.err >&5
    12974    echo "$as_me:12974: \$? = $ac_status" >&5
     13137   echo "$as_me:13137: \$? = $ac_status" >&5
    1297513138   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1297613139   then
     
    1538515548  lt_status=$lt_dlunknown
    1538615549  cat > conftest.$ac_ext <<EOF
    15387 #line 15387 "configure"
     15550#line 15550 "configure"
    1538815551#include "confdefs.h"
    1538915552
     
    1548515648  lt_status=$lt_dlunknown
    1548615649  cat > conftest.$ac_ext <<EOF
    15487 #line 15487 "configure"
     15650#line 15650 "configure"
    1548815651#include "confdefs.h"
    1548915652
     
    1784518008   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1784618009   -e 's:$: $lt_compiler_flag:'`
    17847    (eval echo "\"\$as_me:17847: $lt_compile\"" >&5)
     18010   (eval echo "\"\$as_me:18010: $lt_compile\"" >&5)
    1784818011   (eval "$lt_compile" 2>conftest.err)
    1784918012   ac_status=$?
    1785018013   cat conftest.err >&5
    17851    echo "$as_me:17851: \$? = $ac_status" >&5
     18014   echo "$as_me:18014: \$? = $ac_status" >&5
    1785218015   if (exit $ac_status) && test -s "$ac_outfile"; then
    1785318016     # The compiler can only warn and ignore the option if not recognized
     
    1794918112   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1795018113   -e 's:$: $lt_compiler_flag:'`
    17951    (eval echo "\"\$as_me:17951: $lt_compile\"" >&5)
     18114   (eval echo "\"\$as_me:18114: $lt_compile\"" >&5)
    1795218115   (eval "$lt_compile" 2>out/conftest.err)
    1795318116   ac_status=$?
    1795418117   cat out/conftest.err >&5
    17955    echo "$as_me:17955: \$? = $ac_status" >&5
     18118   echo "$as_me:18118: \$? = $ac_status" >&5
    1795618119   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1795718120   then
     
    1951919682   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1952019683   -e 's:$: $lt_compiler_flag:'`
    19521    (eval echo "\"\$as_me:19521: $lt_compile\"" >&5)
     19684   (eval echo "\"\$as_me:19684: $lt_compile\"" >&5)
    1952219685   (eval "$lt_compile" 2>conftest.err)
    1952319686   ac_status=$?
    1952419687   cat conftest.err >&5
    19525    echo "$as_me:19525: \$? = $ac_status" >&5
     19688   echo "$as_me:19688: \$? = $ac_status" >&5
    1952619689   if (exit $ac_status) && test -s "$ac_outfile"; then
    1952719690     # The compiler can only warn and ignore the option if not recognized
     
    1962319786   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1962419787   -e 's:$: $lt_compiler_flag:'`
    19625    (eval echo "\"\$as_me:19625: $lt_compile\"" >&5)
     19788   (eval echo "\"\$as_me:19788: $lt_compile\"" >&5)
    1962619789   (eval "$lt_compile" 2>out/conftest.err)
    1962719790   ac_status=$?
    1962819791   cat out/conftest.err >&5
    19629    echo "$as_me:19629: \$? = $ac_status" >&5
     19792   echo "$as_me:19792: \$? = $ac_status" >&5
    1963019793   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1963119794   then
     
    2183021993   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2183121994   -e 's:$: $lt_compiler_flag:'`
    21832    (eval echo "\"\$as_me:21832: $lt_compile\"" >&5)
     21995   (eval echo "\"\$as_me:21995: $lt_compile\"" >&5)
    2183321996   (eval "$lt_compile" 2>conftest.err)
    2183421997   ac_status=$?
    2183521998   cat conftest.err >&5
    21836    echo "$as_me:21836: \$? = $ac_status" >&5
     21999   echo "$as_me:21999: \$? = $ac_status" >&5
    2183722000   if (exit $ac_status) && test -s "$ac_outfile"; then
    2183822001     # The compiler can only warn and ignore the option if not recognized
     
    2209822261   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2209922262   -e 's:$: $lt_compiler_flag:'`
    22100    (eval echo "\"\$as_me:22100: $lt_compile\"" >&5)
     22263   (eval echo "\"\$as_me:22263: $lt_compile\"" >&5)
    2210122264   (eval "$lt_compile" 2>conftest.err)
    2210222265   ac_status=$?
    2210322266   cat conftest.err >&5
    22104    echo "$as_me:22104: \$? = $ac_status" >&5
     22267   echo "$as_me:22267: \$? = $ac_status" >&5
    2210522268   if (exit $ac_status) && test -s "$ac_outfile"; then
    2210622269     # The compiler can only warn and ignore the option if not recognized
     
    2220222365   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2220322366   -e 's:$: $lt_compiler_flag:'`
    22204    (eval echo "\"\$as_me:22204: $lt_compile\"" >&5)
     22367   (eval echo "\"\$as_me:22367: $lt_compile\"" >&5)
    2220522368   (eval "$lt_compile" 2>out/conftest.err)
    2220622369   ac_status=$?
    2220722370   cat out/conftest.err >&5
    22208    echo "$as_me:22208: \$? = $ac_status" >&5
     22371   echo "$as_me:22371: \$? = $ac_status" >&5
    2220922372   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    2221022373   then
Note: See TracChangeset for help on using the changeset viewer.